Skip to content

GlTrackingType⁠

Perform various operations for Symitar parameters.

Operations⁠

getGlTrackingTypeSelectFields⁠

POST

Execute the persistent ParameterService getGlTrackingTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlTrackingTypeRecordSelectionintegeroptional
GlTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlTrackingTypeSelectFields
POST /nexum/627/persistent/parameter/getGlTrackingTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlTrackingTypeRecordSelection": 0,
  "GlTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllGlTrackingTypeFields": true,
    "GlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlTrackingTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getGlTrackingTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlTrackingTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getGlTrackingTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlTrackingTypeFields": true,
    "GlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlTrackingTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchGlTrackingTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchGlTrackingTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchGlTrackingTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlTrackingTypeFields": true,
    "GlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlTrackingTypeByID⁠

POST

Execute the persistent ParameterService updateGlTrackingTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlTrackingTypeRecordSelectionintegeroptional
GlTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateGlTrackingTypeByID
POST /nexum/627/persistent/parameter/updateGlTrackingTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlTrackingTypeRecordSelection": 0,
  "GlTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "GlTrackingTypeFields": {
    "Description": "string",
    "ParentClosingOption": true,
    "RecordSelection": 0,
    "TrackingType": 0,
    "UserRate20": [
      {
        "EntryId": 0,
        "UserRate20": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}